For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETRetrieve Benefits for EOR Contract
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Benefits

Retrieve Benefits for EOR Contract

GET
/eor/:contract_id/benefits
GET
/rest/v2/eor/:contract_id/benefits
$curl https://api.letsdeel.com/rest/v2/eor/mryv8dx/benefits \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "benefit1",
5 "name": "Health Insurance",
6 "plan": {
7 "name": "Gold Plan"
8 },
9 "provider": {
10 "name": "Global Insurance Co."
11 },
12 "offer_status": "Offered",
13 "enrollment_details": {
14 "plan": {
15 "name": "Gold Plan"
16 },
17 "status": "Enrolled",
18 "standard": {
19 "monthly_cost": "180",
20 "employee_monthly_contribution": "130"
21 },
22 "current_cycle": {
23 "monthly_cost": "200",
24 "employee_monthly_contribution": "150"
25 }
26 }
27 },
28 {
29 "id": "benefit2",
30 "name": "Retirement Plan",
31 "plan": {
32 "name": "Standard Pension"
33 },
34 "provider": {
35 "name": "Pension Trust"
36 },
37 "offer_status": "Not offered"
38 }
39 ]
40}

Returns benefits associated with the specified EOR contract. Token scopes: contracts:read

Was this page helpful?
Previous

Create an EOR contract

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
Deel contract ID.

Response

Successfully retrieved the list of EOR contract benefits.
datalist of objects

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error